-- *********************************************************************************************************************
-- *                           (c) 2013 by White Elephant GmbH, Schaffhausen, Switzerland                              *
-- *                                               www.white-elephant.ch                                               *
-- *                                                                                                                   *
-- *    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General     *
-- *    Public License as published by the Free Software Foundation; either version 2 of the License, or               *
-- *    (at your option) any later version.                                                                            *
-- *                                                                                                                   *
-- *    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the     *
-- *    implied warranty of MERCHANTABILITY or FITNESS for A PARTICULAR PURPOSE. See the GNU General Public License    *
-- *    for more details.                                                                                              *
-- *                                                                                                                   *
-- *    You should have received a copy of the GNU General Public License along with this program; if not, write to    *
-- *    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.                *
-- *********************************************************************************************************************
-->Style: White_Elephant

with Win;

package Scintilla is

  type Notify_Header is record
    -- Compatible with Windows NMHDR.
    -- hwndFrom is really an environment specific window handle or pointer
    -- but most clients of Scintilla.h do not have this type visible.
    Hwnd_From : Win.HWND;
    Id_From   : Win.LONG_PTR;
    Code      : Win.UINT;
  end record
  with
    Alignment  => Win.Alignment,
    Convention => C,
    Pack       => True;

  type Notification is record
    Nmhdr                  : Notify_Header;
    Position               : Win.INT;        -- SCN_STYLENEEDED, SCN_MODIFIED, SCN_DWELLSTART, SCN_DWELLEND
    Ch                     : Win.INT;        -- SCN_CHARADDED, SCN_KEY
    Modifiers              : Win.INT;        -- SCN_KEY
    Modification_Type      : Win.INT;        -- SCN_MODIFIED
    Char                   : Win.PTCHAR;     -- SCN_MODIFIED, SCN_USERLISTSELECTION, SCN_AUTOCSELECTION
    Length                 : Win.INT;        -- SCN_MODIFIED
    Lines_Added            : Win.INT;        -- SCN_MODIFIED
    Message                : Win.INT;        -- SCN_MACRORECORD
    W_Param                : Win.WPARAM;     -- SCN_MACRORECORD
    L_Param                : Win.LPARAM;     -- SCN_MACRORECORD
    Line                   : Win.INT;        -- SCN_MODIFIED
    Fold_Level_Now         : Win.INT;        -- SCN_MODIFIED
    Fold_Level_Prev        : Win.INT;        -- SCN_MODIFIED
    Margin                 : Win.INT;        -- SCN_MARGINCLICK
    List_Type              : Win.INT;        -- SCN_USERLISTSELECTION
    X                      : Win.INT;        -- SCN_DWELLSTART, SCN_DWELLEND
    Y                      : Win.INT;        -- SCN_DWELLSTART, SCN_DWELLEND
    Token                  : Win.INT;        -- SCN_MODIFIED with SC_MOD_CONTAINER
    Annotation_Lines_Added : Win.INT;        -- SC_MOD_CHANGEANNOTATION
  end record
  with
    Alignment  => Win.Alignment,
    Convention => C,
    Pack       => True;

end Scintilla;